cURL
curl "https://api.ornnai.com/api/daily-index/all"import requests
rows = requests.get("https://api.ornnai.com/api/daily-index/all").json()["data"]
for r in rows:
print(r["gpu_type"], r["index_value"])
const res = await fetch("https://api.ornnai.com/api/daily-index/all");
const { data } = await res.json();
<?php
$ch = curl_init("https://api.ornnai.com/api/daily-index/all");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
]);
$data = json_decode(curl_exec($ch), true);
package main
import (
"io"
"net/http"
)
func main() {
endpoint := "https://api.ornnai.com/api/daily-index/all"
req, _ := http.NewRequest("GET", endpoint, nil)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
_ = body
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder(
URI.create("https://api.ornnai.com/api/daily-index/all"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
require "net/http"
require "json"
uri = URI("https://api.ornnai.com/api/daily-index/all")
req = Net::HTTP::Get.new(uri)
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
{
"success": true,
"date": "2026-01-01T00:00:00.000Z",
"data": [
{
"gpu_type": "A100 SXM4",
"region": "global",
"index_value": 1,
"date": "2026-01-01T00:00:00.000Z"
},
{
"gpu_type": "B200",
"region": "global",
"index_value": 3,
"date": "2026-01-01T00:00:00.000Z"
},
{
"gpu_type": "H100 SXM",
"region": "global",
"index_value": 2,
"date": "2026-01-01T00:00:00.000Z"
}
],
"count": 6
}Get latest daily index for all GPUs
The latest daily index for every tracked GPU in one call. Public, no key required.
GET
/
api
/
daily-index
/
all
cURL
curl "https://api.ornnai.com/api/daily-index/all"import requests
rows = requests.get("https://api.ornnai.com/api/daily-index/all").json()["data"]
for r in rows:
print(r["gpu_type"], r["index_value"])
const res = await fetch("https://api.ornnai.com/api/daily-index/all");
const { data } = await res.json();
<?php
$ch = curl_init("https://api.ornnai.com/api/daily-index/all");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
]);
$data = json_decode(curl_exec($ch), true);
package main
import (
"io"
"net/http"
)
func main() {
endpoint := "https://api.ornnai.com/api/daily-index/all"
req, _ := http.NewRequest("GET", endpoint, nil)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
_ = body
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder(
URI.create("https://api.ornnai.com/api/daily-index/all"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
require "net/http"
require "json"
uri = URI("https://api.ornnai.com/api/daily-index/all")
req = Net::HTTP::Get.new(uri)
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
{
"success": true,
"date": "2026-01-01T00:00:00.000Z",
"data": [
{
"gpu_type": "A100 SXM4",
"region": "global",
"index_value": 1,
"date": "2026-01-01T00:00:00.000Z"
},
{
"gpu_type": "B200",
"region": "global",
"index_value": 3,
"date": "2026-01-01T00:00:00.000Z"
},
{
"gpu_type": "H100 SXM",
"region": "global",
"index_value": 2,
"date": "2026-01-01T00:00:00.000Z"
}
],
"count": 6
}Overview
The latest daily index for every tracked GPU in one call. Public, no key required.Response
200 - application/json
Latest daily index per GPU.
⌘I

